From 3cef2effdeb9cc710b837cd646f6d6f4591c1693 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 16:56:57 +0000
Subject: [PATCH 47/51] check that filter/rpms exists before accessing it


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index e5d66db..de2701b 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -689,6 +689,11 @@ class ModuleMDLinter(object):
         should not be part of the resulting, composed module deliverable."""
         self.check_is_list(*self.mmd['filter'].values())
 
+    @option
+    @prerequisite_for('filter_rpms_*')
+    def lint_filter_rpms_exists(self):
+        self.check('rpms' in self.mmd['filter'])
+
     @warning
     @guidelines_link('#Module_filters')
     @detail("The list of filtered RPM packages is empty.")

